# samples-is

samples-is a repository containing applications and guides that demonstrate capabilities of
[WSO2 Identity Sever](https://wso2.com/library/articles/2017/08/what-is-wso2-identity-server/). 

## Table of contents

- [Getting started](#getting-started)
- [Download and install](#download-and-install)
- [License](#license)

## Getting started

* [Quick Start Guide](https://github.com/wso2/samples-is/tree/master/quick-start-guide)
* [SAML2 SSO sample application](https://github.com/wso2/samples-is/tree/master/sso-samples/saml2-sso-sample)
* [OIDC SSO sample application](https://github.com/wso2/samples-is/tree/master/sso-samples/oidc-sso-sample)
* [Sample post authentication handler](https://github.com/wso2/samples-is/tree/master/etc/sample-post-authentication-handler)
* [Oauth sample client authenticator](https://github.com/wso2/samples-is/tree/master/etc/oauth-sample-client-authenticator)
* [Conditional authentication sample](https://github.com/wso2/samples-is/tree/master/etc/conditional-auth-sample)
* [Bulk User Import sample client]

## Download and install

### Download the binary

You can download the samples-is distribution from this [link](https://github.com/wso2/samples-is/releases/latest).
Distribution is named `is-samples-<version>.zip`

### Install from source

Alternatively, you can build the distribution from the source code using the following instructions.

#### Prerequisites

* [Maven](https://maven.apache.org/download.cgi)
* [Java](http://www.oracle.com/technetwork/java/javase/downloads)

#### Building the source

1. Get a clone or download source of this repository
2. Run the Maven command `mvn clean install` from source directory

## License

samples-is code is distributed under [Apache license 2.0](https://github.com/wso2/samples-is/blob/master/LICENSE).
